# TupleWrapper (ARX API Documentation)

org.deidentifier.arx.common

## Class TupleWrapper

- java.lang.Object
- - org.deidentifier.arx.common.TupleWrapper

-     public class TupleWrapper
      extends java.lang.Object

  For hash tables

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleWrapper(DataHandle handle, int[] indices, int row)` Constructor
    `TupleWrapper(DataHandleInternal handle, int[] indices, int row, boolean ignoreSuppression)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String[]` | `getValues()` Returns the associated entry
    `int` | `hashCode()`
    `boolean` | `isOutlier()` Is this tuple suppressed

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleWrapper

          public TupleWrapper(DataHandle handle,
                      int[] indices,
                      int row)

      Constructor
      Parameters:
        `handle` -
        `row` -

    - #### TupleWrapper

          public TupleWrapper(DataHandleInternal handle,
                      int[] indices,
                      int row,
                      boolean ignoreSuppression)

      Constructor
      Parameters:
        `handle` -
        `row` -

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getValues

          public java.lang.String[] getValues()

      Returns the associated entry
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isOutlier

          public boolean isOutlier()

      Is this tuple suppressed
      Returns: